SIBA(4)

NAME
siba - Sonic Inc. Silicon Backplane driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device bhnd
device siba

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    siba_load="YES"

DESCRIPTION
The siba driver provides bhnd(4) support for devices based on the Sonic Inc. Silicon Backplane, an interblock communications architecture found in earlier Broadcom Home Networking Division wireless chipsets and embedded systems.

A common interconnect connects all of the Silicon Backplane's functional blocks. These functional blocks, known as cores, use the Open Core Protocol (OCP) interface to communicate with agents attached to the Silicon Backplane.

Each core can have an initiator agent that passes read and write requests onto the system backplane and a target agent that returns responses to those requests. Not all cores contain both an initiator and a target agent. Initiator agents are present in cores that contain host interfaces (PCI, PCMCIA), embedded processors (MIPS), or DMA processors associated with communications cores.

SEE ALSO
bcma(4), bhnd(4)

HISTORY
The siba device driver first appeared in FreeBSD 8.0. The driver was rewritten for FreeBSD 11.0. to support the common Broadcom bhnd(4) bus interface.

AUTHORS
-nosplit The siba driver was originally written by Bruce M. Simpson <bms@FreeBSD.org> and Weongyo Jeong <weongyo@FreeBSD.org>. The driver was rewritten for FreeBSD 11.0 by Landon Fuller <landonf@FreeBSD.org>.